GuideLab API

List inventory items

Returns a paginated list of inventory items for the current organization. Supports filtering by category, supplier, low stock, expiring soon, and search by name or SKU.

GET
/inventory/items

Returns a paginated list of inventory items for the current organization. Supports filtering by category, supplier, low stock, expiring soon, and search by name or SKU.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Query Parameters

page?integer
Range0 < value
Default1
limit?integer
Range0 < value <= 100
Default20
search?string
categoryId?string
supplierId?string
lowStock?||
Defaultfalse
expiringSoon?||
Defaultfalse
includeInactive?||
Defaultfalse
sortBy?string
Default"name"

Value in

  • "name"
  • "sku"
  • "currentQuantity"
  • "unitCost"
  • "expirationDate"
  • "createdAt"
sortOrder?string
Default"asc"

Value in

  • "asc"
  • "desc"

Response Body

application/json

curl -X GET "https://example.com/inventory/items"
{  "data": [    {      "id": "string",      "organizationId": "string",      "categoryId": "string",      "supplierId": "string",      "name": "string",      "sku": "string",      "description": "string",      "unit": "string",      "currentQuantity": "string",      "minQuantity": "string",      "maxQuantity": "string",      "unitCost": "string",      "currency": "string",      "storageLocation": "string",      "lotNumber": "string",      "expirationDate": "string",      "barcode": "string",      "imageKey": "string",      "notes": "string",      "isActive": true,      "createdAt": "string",      "updatedAt": "string",      "categoryName": "string",      "supplierName": "string"    }  ],  "pagination": {    "page": 0,    "limit": 0,    "total": 0,    "totalPages": 0  }}
Empty
Empty